Bug 734154 - blockquote with the attribution element renders as a table
blockquote with the attribution element renders as a table
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.6
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-29 10:55 EDT by Eva Kopalova
Modified: 2016-06-17 17:12 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
blockqoute with attribution rendering (33.41 KB, image/png)
2011-08-29 10:55 EDT, Eva Kopalova
no flags Details

  None (edit)
Description Eva Kopalova 2011-08-29 10:55:03 EDT
Created attachment 520414 [details]
blockqoute with attribution rendering

Description of problem:
wrong rendering (on JBoss brand and RedHat brand; I have not tested the other brands)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
Build this:
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
      "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd">
      
<chapter id="free_ipa">
  <title>FreeIPA</title>
      <blockquote>
       <attribution>FreeIPA</attribution>
        <para>
          FreeIPA is an integrated security information management solution combining Linux (Fedora), Fedora Directory Server,
          MIT Kerberos, NTP, DNS. It consists of a web interface and
          command-line administration tools.
        </para>
      </blockquote>
    <section>
</chapter>
  
Actual results:
Blockqoute is render as a table

Expected results:
Blockqoute is rendered indented (without table borders)

Additional info:
blockqoute is rendered correctly without the attribution element
Comment 1 Ruediger Landmann 2011-08-29 18:37:14 EDT
Moving to Publican itself; the JBoss brand inherits this behaviour from the common brand.
Comment 2 Jeff Fearn 2011-10-11 00:14:29 EDT
This behaviour is upstream, so we won't be changing it for Publican 2.x.

I changed the style so the table is invisible, it looks better now.

Committed revision 1915.
Comment 3 Misha H. Ali 2012-04-22 17:20:04 EDT
Verified that the following code:

<chapter id="free_ipa">
  <title>FreeIPA</title>
      <blockquote>
       <attribution>FreeIPA</attribution>
        <para>
          FreeIPA is an integrated security information management solution
combining Linux (Fedora), Fedora Directory Server,
          MIT Kerberos, NTP, DNS. It consists of a web interface and
          command-line administration tools.
        </para>
      </blockquote>
</chapter>

Renders with the table borders invisible now.

Verified on:

OS: Fedora 16
Publican: 3.0
Release designation: publican-3.0-0.fc16.t166.src.rpm

With brands:

brand: JBoss
brand: RedHat

Note You need to log in before you can comment on or make changes to this bug.